/****    load.font.c    ****/

#include <stdio.h>
#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>

#include "Ximisc.h"


/*
load_font() loads the specified font and returns a pointer
to the font structure.
*/

XFontStruct *load_font(w, app_name, font_name)
Widget w;
char *app_name, *font_name;
{
	static XFontStruct *font;

	if ((font = XLoadQueryFont(XtDisplay(w), font_name)) == NULL) {
		fprintf(stderr,
			"%s: unable to load font %s!\n",
			app_name, font_name);
		font = XLoadQueryFont(XtDisplay(w), "fixed");
	}
	return font;
}	/* load_font */

